Modify

Opened 3 years ago

Closed 3 years ago

#19223 closed defect (duplicate)

kernel oops: nf_conntrack_find_get+0x5c/0x88 [nf_conntrack]

Reported by: christian@… Owned by: developers
Priority: normal Milestone:
Component: kernel Version: Trunk
Keywords: Cc:

Description

$ cat /etc/banner
  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 CHAOS CALMER (Bleeding Edge, r44893)
 -----------------------------------------------------
  * 1 1/2 oz Gin            Shake with a glassful
  * 1/4 oz Triple Sec       of broken ice and pour
  * 3/4 oz Lime Juice       unstrained into a goblet.
  * 1 1/2 oz Orange Juice
  * 1 tsp. Grenadine Syrup
 -----------------------------------------------------

$ uname -a
Linux foobar 3.18.9 #1 Thu Mar 19 16:06:47 CET 2015 mips GNU/Linux

$ cat /tmp/sysinfo/model
TP-Link TL-WDR4300 v1
$ opkg list-installed
base-files - 157-r44893
bluez-libs - 5.28-1
busybox - 1.22.1-6
dnsmasq - 2.72-4
dropbear - 2014.65-2
ebtables - 2.0.10-4-3
ebtables-utils - 2.0.10-4-3
firewall - 2015-02-26
fstools - 2015-03-12-0b99adb02f2eb822fbfc4efcb8ebf5fecbd74974
glib2 - 2.43.4-1
hostapd-common - 2014-10-25-1
ip - 3.19.0-1
ip-bridge - 3.19.0-1
ip6tables - 1.4.21-1
iptables - 1.4.21-1
iptables-mod-extra - 1.4.21-1
iptables-mod-ipopt - 1.4.21-1
iptables-mod-ipsec - 1.4.21-1
iw - 3.17-1
iwinfo - 2015-01-04-c9fd399316003040825dfbd9700488b621bd990e
jshn - 2015-02-26.1-2a9edb464215d17c61fdaa6fbd97c99f1f130812
jsonfilter - 2014-06-19-cdc760c58077f44fc40adbbe41e1556a67c1b9a9
kernel - 3.18.9-1-f68120a90721a09404e04074c67fd1d8
kmod-6lowpan-iphc - 3.18.9-1
kmod-ath - 3.18.9+2015-03-09-1
kmod-ath10k - 3.18.9+2015-03-09-1
kmod-ath9k - 3.18.9+2015-03-09-1
kmod-ath9k-common - 3.18.9+2015-03-09-1
kmod-batman-adv - 3.18.9+2014.4.0-1
kmod-bluetooth - 3.18.9-1
kmod-bridge - 3.18.9-1
kmod-cfg80211 - 3.18.9+2015-03-09-1
kmod-crypto-aead - 3.18.9-1
kmod-crypto-aes - 3.18.9-1
kmod-crypto-arc4 - 3.18.9-1
kmod-crypto-authenc - 3.18.9-1
kmod-crypto-cbc - 3.18.9-1
kmod-crypto-core - 3.18.9-1
kmod-crypto-crc32c - 3.18.9-1
kmod-crypto-deflate - 3.18.9-1
kmod-crypto-des - 3.18.9-1
kmod-crypto-hash - 3.18.9-1
kmod-crypto-hmac - 3.18.9-1
kmod-crypto-iv - 3.18.9-1
kmod-crypto-manager - 3.18.9-1
kmod-crypto-md5 - 3.18.9-1
kmod-crypto-pcompress - 3.18.9-1
kmod-crypto-rng - 3.18.9-1
kmod-crypto-sha1 - 3.18.9-1
kmod-crypto-wq - 3.18.9-1
kmod-ebtables - 3.18.9-1
kmod-ebtables-ipv4 - 3.18.9-1
kmod-gpio-button-hotplug - 3.18.9-1
kmod-hid - 3.18.9-1
kmod-input-core - 3.18.9-1
kmod-input-evdev - 3.18.9-1
kmod-ip6tables - 3.18.9-1
kmod-ipip - 3.18.9-1
kmod-ipsec - 3.18.9-1
kmod-ipsec4 - 3.18.9-1
kmod-ipsec6 - 3.18.9-1
kmod-ipt-conntrack - 3.18.9-1
kmod-ipt-core - 3.18.9-1
kmod-ipt-extra - 3.18.9-1
kmod-ipt-ipopt - 3.18.9-1
kmod-ipt-ipsec - 3.18.9-1
kmod-ipt-nat - 3.18.9-1
kmod-iptunnel - 3.18.9-1
kmod-iptunnel4 - 3.18.9-1
kmod-iptunnel6 - 3.18.9-1
kmod-ipv6 - 3.18.9-1
kmod-leds-gpio - 3.18.9-1
kmod-ledtrig-usbdev - 3.18.9-1
kmod-lib-crc-ccitt - 3.18.9-1
kmod-lib-crc16 - 3.18.9-1
kmod-lib-crc32c - 3.18.9-1
kmod-lib-textsearch - 3.18.9-1
kmod-lib-zlib - 3.18.9-1
kmod-llc - 3.18.9-1
kmod-mac80211 - 3.18.9+2015-03-09-1
kmod-macvlan - 3.18.9-1
kmod-mii - 3.18.9-1
kmod-nf-conntrack - 3.18.9-1
kmod-nf-conntrack-netlink - 3.18.9-1
kmod-nf-conntrack6 - 3.18.9-1
kmod-nf-ipt - 3.18.9-1
kmod-nf-ipt6 - 3.18.9-1
kmod-nf-nat - 3.18.9-1
kmod-nfnetlink - 3.18.9-1
kmod-nls-base - 3.18.9-1
kmod-sched - 3.18.9-1
kmod-sched-core - 3.18.9-1
kmod-stp - 3.18.9-1
kmod-usb-core - 3.18.9-1
kmod-usb2 - 3.18.9-1
kmod-usb2-pci - 3.18.9-1
libattr - 20150220-1
libblobmsg-json - 2015-02-26.1-2a9edb464215d17c61fdaa6fbd97c99f1f130812
libc - 0.9.33.2-1
libcares - 1.10.0-1
libcurl - 7.40.0-3
libevent2 - 2.1.4-1
libevent2-core - 2.1.4-1
libevent2-extra - 2.1.4-1
libevent2-openssl - 2.1.4-1
libexpat - 2.1.0-3
libffi - 3.0.13-1
libgcc - 4.8-linaro-1
libgmp - 6.0.0-1
libip4tc - 1.4.21-1
libip6tc - 1.4.21-1
libiwinfo - 2015-01-04-c9fd399316003040825dfbd9700488b621bd990e
libjson-c - 0.12-1
libjson-script - 2015-02-26.1-2a9edb464215d17c61fdaa6fbd97c99f1f130812
libmnl - 1.0.3-2
libmosquitto - 1.4-2
libnetfilter-conntrack - 1.0.3-1
libnfnetlink - 1.0.1-1
libnl-tiny - 0.1-4
libopenssl - 1.0.2-3
libpcap - 1.5.3-1
libpcre - 8.36-1
libpthread - 0.9.33.2-1
libreadline - 6.3-1
librt - 0.9.33.2-1
libubox - 2015-02-26.1-2a9edb464215d17c61fdaa6fbd97c99f1f130812
libubus - 2015-01-22-2d660c519d2fcff95248da9f4fd9b37d61f9eb09
libuci - 2014-04-11.1-1
libusb-1.0 - 1.0.19-1
libxtables - 1.4.21-1
mtd - 20
netifd - 2015-03-15-45fd905c980e56b20770d4b34556749fbca53fcc
odhcp6c - 2014-12-10-722226c4f1d45c8bf4ac9189523738abcf7d648f
odhcpd - 2015-03-06-721db56281dba79158470d7f69ccc7577f11fbb6
opkg - 9c97d5ecd795709c8584e972bfdf3aee3a5b846d-7
procd - 2015-03-18-0cf744c720c9ed01c2dae25f338d4e96b9db95e3
strongswan - 5.2.2-2
strongswan-charon - 5.2.2-2
strongswan-default - 5.2.2-2
strongswan-mod-aes - 5.2.2-2
strongswan-mod-attr - 5.2.2-2
strongswan-mod-cmac - 5.2.2-2
strongswan-mod-constraints - 5.2.2-2
strongswan-mod-ctr - 5.2.2-2
strongswan-mod-curl - 5.2.2-2
strongswan-mod-des - 5.2.2-2
strongswan-mod-dnskey - 5.2.2-2
strongswan-mod-eap-identity - 5.2.2-2
strongswan-mod-fips-prf - 5.2.2-2
strongswan-mod-gcm - 5.2.2-2
strongswan-mod-gmp - 5.2.2-2
strongswan-mod-hmac - 5.2.2-2
strongswan-mod-kernel-netlink - 5.2.2-2
strongswan-mod-md5 - 5.2.2-2
strongswan-mod-nonce - 5.2.2-2
strongswan-mod-openssl - 5.2.2-2
strongswan-mod-pem - 5.2.2-2
strongswan-mod-pgp - 5.2.2-2
strongswan-mod-pkcs1 - 5.2.2-2
strongswan-mod-pkcs11 - 5.2.2-2
strongswan-mod-pkcs8 - 5.2.2-2
strongswan-mod-pubkey - 5.2.2-2
strongswan-mod-random - 5.2.2-2
strongswan-mod-resolve - 5.2.2-2
strongswan-mod-revocation - 5.2.2-2
strongswan-mod-sha1 - 5.2.2-2
strongswan-mod-sha2 - 5.2.2-2
strongswan-mod-socket-default - 5.2.2-2
strongswan-mod-socket-dynamic - 5.2.2-2
strongswan-mod-stroke - 5.2.2-2
strongswan-mod-updown - 5.2.2-2
strongswan-mod-whitelist - 5.2.2-2
strongswan-mod-x509 - 5.2.2-2
strongswan-mod-xauth-generic - 5.2.2-2
strongswan-mod-xcbc - 5.2.2-2
strongswan-utils - 5.2.2-2
swconfig - 10
tc - 3.19.0-1
terminfo - 5.9-1
uboot-envtools - 2014.10-2
ubox - 2015-02-26.1-96aa9306d5cc7ebb804ee27f1a920dbd7ef83c17
ubus - 2015-01-22-2d660c519d2fcff95248da9f4fd9b37d61f9eb09
ubusd - 2015-01-22-2d660c519d2fcff95248da9f4fd9b37d61f9eb09
uci - 2014-04-11.1-1
wget - 1.16.2-1
wireless-tools - 29-5
wpad - 2014-10-25-1
zlib - 1.2.8-1
U-Boot 1.1.4 (Jun 17 2013 - 12:31:57)

U-boot DB120


DRAM:  128 MB
id read 0x100000ff
flash size 8MB, sector count = 128
Flash:  8 MB
Using default environment

PCIe Reset OK!!!!!!
In:    serial
Out:   serial
Err:   serial
Net:   ag934x_enet_initialize...
No valid address in Flash. Using fixed address
 wasp  reset mask:c03300 
WASP  ----> S17 PHY *
: cfg1 0x7 cfg2 0x7114
eth0: ba:be:fa:ce:08:41
athrs17_reg_init: complete
eth0 up
eth0
Autobooting in 1 seconds
## Booting image at 9f020000 ...
   Uncompressing Kernel Image ... OK

Starting kernel ...

[    0.000000] Linux version 3.18.9 (c@black) (gcc version 4.8.3 (OpenWrt/Linaro GCC 4.8-2014.04 r44493) ) #1 Thu Mar 19 16:06:47 CET 2015
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU0 revision is: 0001974c (MIPS 74Kc)
[    0.000000] SoC: Atheros AR9344 rev 2
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 08000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x07ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x07ffffff]
[    0.000000] Initmem setup node 0 [mem 0x00000000-0x07ffffff]
[    0.000000] Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 32512
[    0.000000] Kernel command line:  board=TL-WDR4300 console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
[    0.000000] PID hash table entries: 512 (order: -1, 2048 bytes)
[    0.000000] Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
[    0.000000] Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 125856K/131072K available (2551K kernel code, 126K rwdata, 536K rodata, 236K init, 189K bss, 5216K reserved)
[    0.000000] SLUB: HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:51
[    0.000000] Clocks: CPU:560.000MHz, DDR:450.000MHz, AHB:225.000MHz, Ref:40.000MHz
[    0.000000] Calibrating delay loop... 278.93 BogoMIPS (lpj=1394688)
[    0.070000] pid_max: default: 32768 minimum: 301
[    0.070000] Mount-cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.080000] Mountpoint-cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.080000] NET: Registered protocol family 16
[    0.090000] MIPS: machine is TP-LINK TL-WDR3600/4300/4310
[    0.090000] registering PCI controller with io_map_base unset
[    0.330000] PCI host bridge to bus 0000:00
[    0.330000] pci_bus 0000:00: root bus resource [mem 0x10000000-0x13ffffff]
[    0.340000] pci_bus 0000:00: root bus resource [io  0x0000]
[    0.340000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    0.350000] pci 0000:00:00.0: invalid calibration data
[    0.350000] pci 0000:00:00.0: BAR 0: assigned [mem 0x10000000-0x1001ffff 64bit]
[    0.360000] pci 0000:00:00.0: BAR 6: assigned [mem 0x10020000-0x1002ffff pref]
[    0.360000] pci 0000:00:00.0: using irq 40 for pin 1
[    0.370000] Switched to clocksource MIPS
[    0.370000] NET: Registered protocol family 2
[    0.380000] TCP established hash table entries: 1024 (order: 0, 4096 bytes)
[    0.380000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.390000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.390000] TCP: reno registered
[    0.400000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.400000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.410000] NET: Registered protocol family 1
[    0.410000] futex hash table entries: 256 (order: -1, 3072 bytes)
[    0.440000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.440000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.450000] msgmni has been set to 245
[    0.460000] io scheduler noop registered
[    0.460000] io scheduler deadline registered (default)
[    0.470000] Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
�[    0.500000] serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11, base_baud = 2500000) is a 16550A
[    0.510000] console [ttyS0] enabled
[    0.510000] console [ttyS0] enabled
[    0.510000] bootconsole [early0] disabled
[    0.510000] bootconsole [early0] disabled
[    0.520000] m25p80 spi0.0: found en25q64, expected m25p80
[    0.530000] m25p80 spi0.0: en25q64 (8192 Kbytes)
[    0.530000] 5 tp-link partitions found on MTD device spi0.0
[    0.540000] Creating 5 MTD partitions on "spi0.0":
[    0.540000] 0x000000000000-0x000000020000 : "u-boot"
[    0.550000] 0x000000020000-0x00000013f97c : "kernel"
[    0.550000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.570000] 0x00000013f97c-0x0000007f0000 : "rootfs"
[    0.570000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.590000] mtd: device 2 (rootfs) set to be root filesystem
[    0.590000] 1 squashfs-split partitions found on MTD device rootfs
[    0.600000] 0x0000006b0000-0x0000007f0000 : "rootfs_data"
[    0.600000] 0x0000007f0000-0x000000800000 : "art"
[    0.610000] 0x000000020000-0x0000007f0000 : "firmware"
[    0.630000] switch0: Atheros AR8327 rev. 2 switch registered on ag71xx-mdio.0
[    0.690000] libphy: ag71xx_mdio: probed
[    1.290000] ag71xx ag71xx.0: connected to PHY at ag71xx-mdio.0:00 [uid=004dd033, driver=Atheros AR8216/AR8236/AR8316]
[    1.300000] eth0: Atheros AG71xx at 0xb9000000, irq 4, mode:RGMII
[    1.310000] TCP: cubic registered
[    1.310000] NET: Registered protocol family 17
[    1.310000] bridge: automatic filtering via arp/ip/ip6tables has been deprecated. Update your scripts to load br_netfilter if you need this.
[    1.330000] Bridge firewalling registered
[    1.330000] 8021q: 802.1Q VLAN Support v1.8
[    1.340000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    1.350000] Freeing unused kernel memory: 236K (80385000 - 803c0000)
[    2.400000] init: Console is alive
[    2.410000] init: - watchdog -
[    4.220000] usbcore: registered new interface driver usbfs
[    4.230000] usbcore: registered new interface driver hub
[    4.240000] usbcore: registered new device driver usb
[    4.250000] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    4.250000] ehci-platform: EHCI generic platform driver
[    4.260000] ehci-platform ehci-platform: EHCI Host Controller
[    4.260000] ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
[    4.270000] ehci-platform ehci-platform: irq 3, io mem 0x1b000000
[    4.300000] ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
[    4.300000] hub 1-0:1.0: USB hub found
[    4.310000] hub 1-0:1.0: 1 port detected
[    4.310000] ehci-pci: EHCI PCI platform driver
[    4.440000] init: - preinit -
[    4.670000] usb 1-1: new high-speed USB device number 2 using ehci-platform
[    5.140000] hub 1-1:1.0: USB hub found
[    5.140000] hub 1-1:1.0: 4 ports detected
[    5.380000] random: procd urandom read with 9 bits of entropy available
Press the [f] key and hit [enter] to enter failsafe mode
Press the [1], [2], [3] or [4] key and hit [enter] to select the debug level
[    5.630000] usb 1-1.2: new full-speed USB device number 3 using ehci-platform
[    7.420000] eth0: link up (1000Mbps/Full duplex)
[    8.810000] jffs2: notice: (373) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 of xref (0 dead, 0 orphan) found.
[    8.830000] mount_root: switching to jffs2 overlay
[    8.880000] eth0: link down
[    8.890000] procd: - early -
[    8.890000] procd: - watchdog -
[    9.660000] procd: - ubus -
[   10.680000] procd: - init -
Please press Enter to activate this console.
[   13.100000] NET: Registered protocol family 10
[   13.110000] Initializing XFRM netlink socket
[   13.120000] NET: Registered protocol family 15
[   13.130000] ipip: IPv4 over IPv4 tunneling driver
[   13.180000] ip6_tables: (C) 2000-2006 Netfilter Core Team
[   13.230000] batman_adv: B.A.T.M.A.N. advanced 2014.4.0 (compatibility version 15) loaded
[   13.250000] Loading modules backported from Linux version master-2015-03-09-0-g141f155
[   13.260000] Backport generated by backports.git backports-20150129-0-gdd4a670
[   13.310000] cfg80211: Calling CRDA to update world regulatory domain
[   13.310000] cfg80211: World regulatory domain updated:
[   13.320000] cfg80211:  DFS Master region: unset
[   13.320000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[   13.330000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[   13.340000] cfg80211:   (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[   13.350000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[   13.360000] cfg80211:   (5170000 KHz - 5250000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[   13.370000] cfg80211:   (5250000 KHz - 5330000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (0 s)
[   13.380000] cfg80211:   (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[   13.380000] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[   13.390000] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
[   13.540000] hidraw: raw HID events driver (C) Jiri Kosina
[   13.560000] u32 classifier
[   13.560000]     input device check on
[   13.570000]     Actions configured
[   13.570000] Mirror/redirect action on
[   13.960000] Bluetooth: Core ver 2.19
[   13.970000] NET: Registered protocol family 31
[   13.970000] Bluetooth: HCI device and connection manager initialized
[   13.980000] Bluetooth: HCI socket layer initialized
[   13.980000] Bluetooth: L2CAP socket layer initialized
[   13.990000] Bluetooth: SCO socket layer initialized
[   14.000000] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   14.000000] Bluetooth: BNEP filters: protocol multicast
[   14.010000] Bluetooth: BNEP socket layer initialized
[   14.020000] usbcore: registered new interface driver btusb
[   14.040000] Ebtables v2.0 registered
[   14.050000] Bluetooth: HCI UART driver ver 2.2
[   14.050000] Bluetooth: HCI H4 protocol initialized
[   14.060000] Bluetooth: HCI BCSP protocol initialized
[   14.060000] Bluetooth: HIDP (Human Interface Emulation) ver 1.2
[   14.070000] Bluetooth: HIDP socket layer initialized
[   14.080000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   14.110000] nf_conntrack version 0.5.0 (1970 buckets, 7880 max)
[   14.130000] Netfilter messages via NETLINK v0.30.
[   14.140000] Bluetooth: RFCOMM TTY layer initialized
[   14.150000] Bluetooth: RFCOMM socket layer initialized
[   14.150000] Bluetooth: RFCOMM ver 1.11
[   14.210000] xt_time: kernel timezone is -0000
[   14.240000] ctnetlink v0.93: registering with nfnetlink.
[   14.250000] Bluetooth: Unable to create crypto context
[   14.290000] ieee80211 phy0: Atheros AR9340 Rev:2 mem=0xb8100000, irq=47
[   14.300000] PCI: Enabling device 0000:00:00.0 (0000 -> 0002)
[   14.320000] ieee80211 phy1: Atheros AR9300 Rev:4 mem=0xb0000000, irq=40
[   14.330000] cfg80211: Calling CRDA for country: US
[   14.330000] cfg80211: Regulatory domain changed to country: US
[   14.340000] cfg80211:  DFS Master region: FCC
[   14.340000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[   14.350000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 3000 mBm), (N/A)
[   14.360000] cfg80211:   (5170000 KHz - 5250000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 1700 mBm), (N/A)
[   14.370000] cfg80211:   (5250000 KHz - 5330000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2300 mBm), (0 s)
[   14.380000] cfg80211:   (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 3000 mBm), (N/A)
[   14.390000] cfg80211:   (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 4000 mBm), (N/A)
[   22.380000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[   22.420000] device eth0.1 entered promiscuous mode
[   22.420000] device eth0 entered promiscuous mode
[   22.550000] IPv6: ADDRCONF(NETDEV_UP): br-lan: link is not ready
[   22.610000] IPv6: ADDRCONF(NETDEV_UP): br-wlan: link is not ready
[   24.050000] eth0: link up (1000Mbps/Full duplex)
[   24.120000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   24.120000] br-lan: port 1(eth0.1) entered forwarding state
[   24.130000] br-lan: port 1(eth0.1) entered forwarding state
[   24.200000] IPv6: ADDRCONF(NETDEV_CHANGE): br-lan: link becomes ready
[   26.110000] Atheros AR8216/AR8236/AR8316 ag71xx-mdio.0:00: Port 2 is up
[   26.130000] br-lan: port 1(eth0.1) entered forwarding state
[   31.590000] IPv6: ADDRCONF(NETDEV_UP): wlan-secure1: link is not ready
[   31.640000] device wlan-secure1 entered promiscuous mode
[   31.640000] br-wlan: port 1(wlan-secure1) entered forwarding state
[   31.650000] br-wlan: port 1(wlan-secure1) entered forwarding state
[   31.710000] IPv6: ADDRCONF(NETDEV_UP): wlan-secure0: link is not ready
[   31.720000] device wlan-secure0 entered promiscuous mode
[   31.730000] br-wlan: port 2(wlan-secure0) entered forwarding state
[   31.730000] br-wlan: port 2(wlan-secure0) entered forwarding state
[   32.370000] br-wlan: port 1(wlan-secure1) entered disabled state
[   32.370000] IPv6: ADDRCONF(NETDEV_CHANGE): br-wlan: link becomes ready
[   32.380000] br-wlan: port 2(wlan-secure0) entered disabled state
[   34.510000] device wlan-open0 entered promiscuous mode
[   34.510000] br-wlan: port 3(wlan-open0) entered forwarding state
[   34.520000] br-wlan: port 3(wlan-open0) entered forwarding state
[   34.530000] IPv6: ADDRCONF(NETDEV_UP): wlan-open0: link is not ready
[   34.570000] device wlan-open1 entered promiscuous mode
[   34.580000] br-wlan: port 4(wlan-open1) entered forwarding state
[   34.580000] br-wlan: port 4(wlan-open1) entered forwarding state
[   34.590000] IPv6: ADDRCONF(NETDEV_UP): wlan-open1: link is not ready
[   34.600000] device wlan-priv1 entered promiscuous mode
[   34.620000] device wlan-priv0 entered promiscuous mode
[   34.660000] br-lan: port 2(wlan-priv1) entered forwarding state
[   34.670000] br-lan: port 2(wlan-priv1) entered forwarding state
[   34.670000] IPv6: ADDRCONF(NETDEV_UP): wlan-priv1: link is not ready
[   34.700000] br-lan: port 3(wlan-priv0) entered forwarding state
[   34.700000] br-lan: port 3(wlan-priv0) entered forwarding state
[   34.710000] IPv6: ADDRCONF(NETDEV_UP): wlan-priv0: link is not ready
[   34.860000] br-wlan: port 2(wlan-secure0) entered forwarding state
[   34.860000] br-wlan: port 2(wlan-secure0) entered forwarding state
[   34.870000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan-secure0: link becomes ready
[   34.880000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan-open0: link becomes ready
[   34.890000] br-wlan: port 1(wlan-secure1) entered forwarding state
[   34.890000] br-wlan: port 1(wlan-secure1) entered forwarding state
[   34.900000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan-secure1: link becomes ready
[   34.970000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan-open1: link becomes ready
[   34.970000] br-lan: port 2(wlan-priv1) entered disabled state
[   35.030000] br-lan: port 3(wlan-priv0) entered disabled state
[   36.520000] br-wlan: port 3(wlan-open0) entered forwarding state
[   36.580000] br-wlan: port 4(wlan-open1) entered forwarding state
[   36.860000] br-wlan: port 2(wlan-secure0) entered forwarding state
[   36.890000] br-wlan: port 1(wlan-secure1) entered forwarding state
[   37.010000] br-lan: port 3(wlan-priv0) entered forwarding state
[   37.010000] br-lan: port 3(wlan-priv0) entered forwarding state
[   37.020000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan-priv0: link becomes ready
[   37.290000] br-lan: port 2(wlan-priv1) entered forwarding state
[   37.290000] br-lan: port 2(wlan-priv1) entered forwarding state
[   37.300000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan-priv1: link becomes ready
[   37.880000] random: nonblocking pool is initialized
[   39.010000] br-lan: port 3(wlan-priv0) entered forwarding state
[   39.290000] br-lan: port 2(wlan-priv1) entered forwarding state
::> OTA check
::> oh carp, something gave us a mismatched OTA
::>    hardware: wdr4300   theirs: 
::>    variant: airfy    theirs: 
::> new tc state: disabled new limit 
::> current probe state: 0
::> new probe state: disabled
[   51.070000] br-lan: port 3(wlan-priv0) entered disabled state
[   51.080000] br-lan: port 2(wlan-priv1) entered disabled state
[   51.080000] br-lan: port 1(eth0.1) entered disabled state
[   51.090000] device eth0.1 left promiscuous mode
[   51.100000] device eth0 left promiscuous mode
[   51.100000] br-lan: port 1(eth0.1) entered disabled state
[   51.120000] IPv6: ADDRCONF(NETDEV_UP): eth0.1: link is not ready
[   51.160000] eth0: link down
[   51.160000] device wlan-priv0 left promiscuous mode
[   51.170000] br-lan: port 3(wlan-priv0) entered disabled state
[   51.170000] device wlan-priv1 left promiscuous mode
[   51.180000] br-lan: port 2(wlan-priv1) entered disabled state
[   51.220000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[   51.230000] device eth0.1 entered promiscuous mode
[   51.240000] device eth0 entered promiscuous mode
[   51.250000] device wlan-priv0 entered promiscuous mode
[   51.260000] device wlan-priv1 entered promiscuous mode
[   51.260000] br-lan: port 3(wlan-priv1) entered forwarding state
[   51.270000] br-lan: port 3(wlan-priv1) entered forwarding state
[   51.280000] br-lan: port 2(wlan-priv0) entered forwarding state
[   51.280000] br-lan: port 2(wlan-priv0) entered forwarding state
[   52.860000] eth0: link up (1000Mbps/Full duplex)
[   52.860000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   52.870000] br-lan: port 1(eth0.1) entered forwarding state
[   52.880000] br-lan: port 1(eth0.1) entered forwarding state
[   53.270000] br-lan: port 3(wlan-priv1) entered forwarding state
[   53.280000] br-lan: port 2(wlan-priv0) entered forwarding state
[   54.880000] br-lan: port 1(eth0.1) entered forwarding state
[   62.880000] br-lan: port 3(wlan-priv1) entered disabled state
[   62.880000] br-lan: port 2(wlan-priv0) entered disabled state
[   62.890000] br-lan: port 1(eth0.1) entered disabled state
[   62.920000] device eth0.1 left promiscuous mode
[   62.920000] device eth0 left promiscuous mode
[   62.930000] br-lan: port 1(eth0.1) entered disabled state
[   62.950000] IPv6: ADDRCONF(NETDEV_UP): eth0.1: link is not ready
[   62.950000] eth0: link down
[   62.980000] device wlan-priv0 left promiscuous mode
[   62.980000] br-lan: port 2(wlan-priv0) entered disabled state
[   62.990000] device wlan-priv1 left promiscuous mode
[   62.990000] br-lan: port 3(wlan-priv1) entered disabled state
[   63.260000] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[   63.280000] device eth0.1 entered promiscuous mode
[   63.280000] device eth0 entered promiscuous mode
[   63.290000] device wlan-priv0 entered promiscuous mode
[   63.300000] device wlan-priv1 entered promiscuous mode
[   63.320000] br-lan: port 3(wlan-priv1) entered forwarding state
[   63.320000] br-lan: port 3(wlan-priv1) entered forwarding state
[   63.330000] br-lan: port 2(wlan-priv0) entered forwarding state
[   63.340000] br-lan: port 2(wlan-priv0) entered forwarding state
[   64.860000] eth0: link up (1000Mbps/Full duplex)
[   64.860000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   64.870000] br-lan: port 1(eth0.1) entered forwarding state
[   64.880000] br-lan: port 1(eth0.1) entered forwarding state
[   65.320000] br-lan: port 3(wlan-priv1) entered forwarding state
[   65.340000] br-lan: port 2(wlan-priv0) entered forwarding state
[   66.880000] br-lan: port 1(eth0.1) entered forwarding state
[   74.690000] br-lan: port 3(wlan-priv1) entered disabled state
[   74.700000] br-lan: port 2(wlan-priv0) entered disabled state
[   74.700000] br-lan: port 1(eth0.1) entered disabled state
[   74.730000] device eth0.1 left promiscuous mode
[   74.730000] device eth0 left promiscuous mode
[   74.740000] Kernel bug detected[#1]:
[   74.740000] CPU: 0 PID: 1210 Comm: netifd Not tainted 3.18.9 #1
[   74.740000] task: 8797c000 ti: 87bf4000 task.ti: 87bf4000
[   74.740000] $ 0   : 00000000 00000000 00000001 00000000
[   74.740000] $ 4   : 86e2a360 00000000 86bbb06c 00000000
[   74.740000] $ 8   : 4266b3fe 00000000 f2def1ff fe73a5a9
[   74.740000] $12   : 3a000502 7792c3a0 00000000 00000000
[   74.740000] $16   : 86e2a360 00000048 86c96000 00000000
[   74.740000] $20   : 00000000 000086dd 803691b8 80369148
[   74.740000] $24   : 00000000 86d107c8                  
[   74.740000] $28   : 87bf4000 87bf58e8 00000000 86e207d4
[   74.740000] Hi    : 0000001d
[   74.740000] Lo    : 00000001
[   74.740000] epc   : 86e206e8 nf_conntrack_find_get+0x5c/0x88 [nf_conntrack]
[   74.740000]     Not tainted
[   74.740000] ra    : 86e207d4 nf_conntrack_free+0xc0/0x12c [nf_conntrack]
[   74.740000] Status: 1100dc03 KERNEL EXL IE 
[   74.740000] Cause : 00800034
[   74.740000] PrId  : 0001974c (MIPS 74Kc)
[   74.740000] Modules linked in: iptable_nat ath9k nf_nat_ipv4 nf_conntrack_netlink nf_conntrack_ipv6 nf_conntrack_ipv4 ipt_REJECT ipt_MASQUERADE ebtable_nat ebtable_filter ebtable_broute ath9k_common xt_time xt_tcpudp xt_tcpmss xt_statistic xt_state xt_quota xt_policy xt_pkttype xt_physdev xt_owner xt_nat xt_multiport xt_mark xt_mac xt_limit xt_length xt_id xt_hl xt_esp xt_ecn xt_dscp xt_conntrack xt_comment xt_addrtype xt_TCPMSS xt_REDIRECT xt_LOG xt_HL xt_DSCP xt_CT xt_CLASSIFY ts_kmp ts_fsm ts_bm rfcomm nfnetlink nf_reject_ipv4 nf_nat_masquerade_ipv4 nf_nat nf_log_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_rtcache nf_conntrack macvlan iptable_raw iptable_mangle iptable_filter ipt_ah ipt_ECN ip_tables hidp hci_uart ebtables ebt_vlan ebt_stp ebt_snat ebt_redirect ebt_pkttype ebt_mark_m ebt_mark ebt_limit ebt_ip ebt_dnat ebt_arpreply ebt_arp ebt_among ebt_802_3 crc_ccitt btusb bnep bluetooth ath9k_hw em_cmp em_nbyte sch_dsmark em_meta sch_gred sch_htb sch_teql act_ipt sch_red sch_codel act_police em_text sch_tbf sch_sfq cls_basic sch_prio act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress hid evdev input_core ath10k_pci ath10k_core ath mac80211 cfg80211 compat ledtrig_usbdev batman_adv libcrc32c crc16 ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 nf_log_common ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables ipcomp6 xfrm6_tunnel xfrm6_mode_tunnel xfrm6_mode_transport xfrm6_mode_beet esp6 ah6 ipcomp xfrm4_tunnel xfrm4_mode_tunnel xfrm4_mode_transport xfrm4_mode_beet esp4 ah4 ipip tunnel6 tunnel4 ip_tunnel af_key xfrm_user xfrm_ipcomp xfrm_algo ipv6 chainiv eseqiv crypto_wq sha1_generic krng rng md5 hmac des_generic deflate zlib_inflate zlib_deflate cbc authenc aead arc4 crypto_blkcipher ehci_pci ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common crc32c_generic crypto_hash
[   74.740000] Process netifd (pid: 1210, threadinfo=87bf4000, task=8797c000, tls=779eb750)
[   74.740000] Stack : 80369a24 0000000a 86994000 801e93b4 86018a80 801e9240 00000000 00000001
          86bbb054 86018a80 00000048 80269488 8036b0b4 00000000 86018a80 00000048
          86018a80 8026929c 00000000 000086dd 803691b8 80369148 86018a80 8009eaa8
          00000000 f2def1ff fe73a5a9 00000000 86018a80 86d107a8 86018a80 803691a4
          86018a80 86d05c48 803691a4 86d3d340 803691a4 86018a80 86994000 800a3d30
          ...
[   74.740000] Call Trace:
[   74.740000] [<86e206e8>] nf_conntrack_find_get+0x5c/0x88 [nf_conntrack]
[   74.740000] 
[   74.740000] 
Code: 27bd0020  8c83000c  2c620001 <00020336> 8c820008  30450001  14a00002  ac620000  ac430004 
[   75.060000] ---[ end trace ef978bda36a5104e ]---
[   75.070000] Kernel panic - not syncing: Fatal exception in interrupt
[   75.070000] Rebooting in 3 seconds..

Attachments (0)

Change History (2)

comment:1 Changed 3 years ago by christian@…

this also happens on Archer-c5 with r44902:

[  738.360000] CPU 0 Unable to handle kernel paging request at virtual address 00200200, epc == 869206f4, ra == 86921b00
[  738.370000] Oops[#1]:
[  738.370000] CPU: 0 PID: 1193 Comm: netifd Not tainted 3.18.9 #2
[  738.370000] task: 87b9ba20 ti: 86a0c000 task.ti: 86a0c000
[  738.370000] $ 0   : 00000000 00000000 80000001 00200200
[  738.370000] $ 4   : 86a48360 00000001 00000000 86a483b8
[  738.370000] $ 8   : 3f5f7c78 86a0d8f0 00000000 00000000
[  738.370000] $12   : 95450002 858a2b5a 00000000 ffffffff
[  738.370000] $16   : 00000361 00000361 86a48360 80376040
[  738.370000] $20   : 80376040 00000000 00000623 80376040
[  738.370000] $24   : 00000000 86927850                  
[  738.370000] $28   : 86a0c000 86a0d9a0 86a483a0 86921b00
[  738.370000] Hi    : 00000623
[  738.370000] Lo    : b63a9000
[  738.370000] epc   : 869206f4 nf_conntrack_find_get+0x68/0x88 [nf_conntrack]
[  738.370000]     Not tainted
[  738.370000] ra    : 86921b00 __nf_conntrack_confirm+0xc4/0x398 [nf_conntrack]
[  738.370000] Status: 1100fc03 KERNEL EXL IE 
[  738.370000] Cause : 8080000c
[  738.370000] BadVA : 00200200
[  738.370000] PrId  : 00019750 (MIPS 74Kc)
[  738.370000] Modules linked in: iptable_nat ath9k nf_nat_ipv4 nf_conntrack_netlink nf_conntrack_ipv6 nf_conntrack_ipv4 ipt_REJECT ipt_MASQUERADE ebtable_nat ebtable_filter ebtable_broute ath9k_common xt_time xt_tcpudp xt_tcpmss xt_statistic xt_state xt_quota xt_policy xt_pkttype xt_physdev xt_owner xt_nat xt_multiport xt_mark xt_mac xt_limit xt_length xt_id xt_hl xt_esp xt_ecn xt_dscp xt_conntrack xt_comment xt_addrtype xt_TCPMSS xt_REDIRECT xt_LOG xt_HL xt_DSCP xt_CT xt_CLASSIFY rfcomm nfnetlink nf_reject_ipv4 nf_nat_masquerade_ipv4 nf_nat nf_log_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_rtcache nf_conntrack iptable_raw iptable_mangle iptable_filter ipt_ah ipt_ECN ip_tables hidp hci_uart ebtables ebt_vlan ebt_stp ebt_snat ebt_redirect ebt_pkttype ebt_mark_m ebt_mark ebt_limit ebt_ip ebt_dnat ebt_arpreply ebt_arp ebt_among ebt_802_3 crc_ccitt btusb bnep bluetooth ath9k_hw em_cmp em_nbyte sch_dsmark em_meta sch_gred sch_htb sch_teql act_ipt sch_red sch_codel act_police em_text sch_tbf sch_sfq cls_basic sch_prio act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress hid evdev input_core ath10k_pci ath10k_core ath mac80211 cfg80211 compat ledtrig_usbdev ledtrig_gpio batman_adv libcrc32c crc16 ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 nf_log_common ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables ipcomp6 xfrm6_tunnel xfrm6_mode_tunnel xfrm6_mode_transport xfrm6_mode_beet esp6 ah6 ipcomp xfrm4_tunnel xfrm4_mode_tunnel xfrm4_mode_transport xfrm4_mode_beet esp4 ah4 tunnel6 tunnel4 af_key xfrm_user xfrm_ipcomp xfrm_algo ipv6 chainiv eseqiv crypto_wq sha1_generic krng rng md5 hmac des_generic deflate zlib_inflate zlib_deflate cbc authenc aead arc4 crypto_blkcipher ledtrig_transient ehci_pci ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common crc32c_generic crypto_hash
[  738.370000] Process netifd (pid: 1193, threadinfo=86a0c000, task=87b9ba20, tls=779db750)
[  738.370000] Stack : 00000000 00000001 86a05600 86e79e00 86a0da38 8036982c 8569ecc0 8687b000
          00000001 00000004 00000001 00000003 ffffff62 801e9804 00000000 8687b000
          86e79e00 86a0da20 801903c4 8569ecc0 86e65228 00000000 80369824 8569ecc0
          8569ecc0 00000001 8036982c 00000002 8687b000 801e93b0 00000000 86a0da28
          00000000 0a000135 00000000 86a0da38 801903c4 80000000 86e65228 87b04854
          ...
[  738.370000] Call Trace:
[  738.370000] [<869206f4>] nf_conntrack_find_get+0x68/0x88 [nf_conntrack]
[  738.370000] 
[  738.370000] 
Code: 00020336  8c820008  30450001 <14a00002> ac620000  ac430004  3c020020  24420200  ac82000c 
[  738.700000] ---[ end trace fc749023a576f4fd ]---
[  738.700000] Kernel panic - not syncing: Fatal exception in interrupt
[  738.700000] Rebooting in 3 seconds..

comment:2 Changed 3 years ago by nbd

  • Resolution set to duplicate
  • Status changed from new to closed

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.